Subject: Re: Problem with mit-pthreads pkg
To: Paul Boven <>
From: Todd Vierling <>
List: tech-pkg
Date: 07/10/1998 10:04:25
On Fri, 10 Jul 1998, Paul Boven wrote:

: I hope this is the right place to bring up this problem.
: I've been trying to get mysql up and running, and for that one needs
: the mit-threads package.
: The package compiles nicely, but when linking this happens:

: ld -x -shared  -o    --whole-archive libpthread_pic.a --no-whole-archive
: ld: invalid command option `--whole-archive'

If you updated your files in /usr/share/mk from NetBSD-current, you need a
NetBSD-current ld in order for many things to work.  This is just part of
them.  :>

-- Todd Vierling (Personal; Bus.